<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'opportunity',

    /*
     * Modules.
     */
    'modules'   => ['opportunities', 'offers'],

    'opportunities'       => [
        'model' => [
            'model'                 => \Bixo\Opportunity\Models\Opportunities::class,
            'table'                 => 'opportunities',
            'presenter'             => \Bixo\Opportunity\Repositories\Presenter\OpportunitiesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'first_name',  'last_name',  'email',  'phone',  'account_name',  'website',  'address_line1',  'address_line2',  'city',  'state',  'country',  'zipcode',  'opportunity_title',  'finance',  'industry',  'status',  'hot_opportunity',  'priority',  'source',  'agent1',  'lead_amount',  'campaign',  'created_by',  'description',  'property_requirements',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'opportunity/opportunities',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Opportunity',
            'module'    => 'Opportunities',
        ],

    ],
    'offers'       => [
        'model' => [
            'model'                 => \Bixo\Opportunity\Models\Offers::class,
            'table'                 => 'offers',
            'presenter'             => \Bixo\Opportunity\Repositories\Presenter\OffersPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'opportunity_id',  'agent_id',  'listing_id',  'viewing_id',  'title',  'status',  'priority',  'start_date',  'description',  'feedbacks',  'fb_community',  'fb_location',  'fb_floor',  'fb_view',  'fb_floor_plan_layout',  'fb_area_sq_ft',  'fb_quality_condition',  'fb_price',  'fb_amenities_facilities',  'fb_parking',  'fb_ac_type',  'fb_service_charge',  'fb_furniture_quality_condition',  'fb_appliances_quality_condition',  'property_type',  'category_id',  'beds',  'location_id',  'sublocation_id',  'property_id',  'price',  'baths',  'plot',  'bua',  'furnished',  'view',  'parking',  'unit',  'created_at',  'updated_at',  'deleted_at',  'user_id',  'user_type'],
            'translatables'         => [],
            'upload_folder'         => 'opportunity/offers',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Opportunity',
            'module'    => 'Offers',
        ],

    ],
];
