<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateOffersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: offers
         */
        Schema::create('offers', function ($table) {
            $table->increments('id');
            $table->integer('opportunity_id')->nullable();
            $table->integer('agent_id')->nullable();
            $table->integer('listing_id')->nullable();
            $table->integer('viewing_id')->nullable();
            $table->string('title', 255)->nullable();
            $table->enum('status', ['Interested','Not Interested','Decide Later','None','Upcoming','Completed','Cancelled'])->nullable();
            $table->string('priority', 20)->nullable();
            $table->dateTime('start_date')->nullable();
            $table->text('description')->nullable();
            $table->text('feedbacks')->nullable();
            $table->tinyInteger('fb_community')->nullable();
            $table->tinyInteger('fb_location')->nullable();
            $table->tinyInteger('fb_floor')->nullable();
            $table->tinyInteger('fb_view')->nullable();
            $table->tinyInteger('fb_floor_plan_layout')->nullable();
            $table->tinyInteger('fb_area_sq_ft')->nullable();
            $table->tinyInteger('fb_quality_condition')->nullable();
            $table->tinyInteger('fb_price')->nullable();
            $table->tinyInteger('fb_amenities_facilities')->nullable();
            $table->tinyInteger('fb_parking')->nullable();
            $table->tinyInteger('fb_ac_type')->nullable();
            $table->tinyInteger('fb_service_charge')->nullable();
            $table->tinyInteger('fb_furniture_quality_condition')->nullable();
            $table->tinyInteger('fb_appliances_quality_condition')->nullable();
            $table->enum('property_type', ['Rental','Sales',''])->nullable();
            $table->integer('category_id')->nullable();
            $table->string('beds', 50)->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('property_id')->nullable();
            $table->integer('price')->nullable();
            $table->string('baths', 50)->nullable();
            $table->string('plot', 100)->nullable();
            $table->integer('bua')->nullable();
            $table->string('furnished', 100)->nullable();
            $table->string('view', 200)->nullable();
            $table->tinyInteger('parking')->nullable();
            $table->string('unit', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('offers');
    }
}
