<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateOpportunitiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: opportunities
         */
        Schema::create('opportunities', function ($table) {
            $table->increments('id');
            $table->string('title', 10)->nullable();
            $table->string('first_name', 100)->nullable();
            $table->string('last_name', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->integer('phone')->nullable();
            $table->string('account_name', 100)->nullable();
            $table->string('website', 50)->nullable();
            $table->string('address_line1', 150)->nullable();
            $table->string('address_line2', 150)->nullable();
            $table->string('city', 50)->nullable();
            $table->string('state', 50)->nullable();
            $table->string('country', 50)->nullable();
            $table->integer('zipcode')->nullable();
            $table->string('opportunity_title', 100)->nullable();
            $table->string('finance', 100)->nullable();
            $table->string('industry', 100)->nullable();
            $table->string('status', 50)->nullable();
            $table->string('hot_opportunity', 50)->nullable();
            $table->string('priority', 50)->nullable();
            $table->string('source', 50)->nullable();
            $table->text('agent1')->nullable();
            $table->integer('lead_amount')->nullable();
            $table->text('campaign')->nullable();
            $table->string('created_by', 50)->nullable();
            $table->text('description')->nullable();
            $table->text('property_requirements')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('opportunities');
    }
}
