# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/bixo/opportunity/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/bixo/opportunity/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Bixo\\Opportunity\\": "packages/bixo/opportunity/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Bixo\Opportunity\Providers\OpportunityServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Opportunity'  => Bixo\Opportunity\Facades\Opportunity::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Bixo\\OpportunityTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Opportunity\Providers\OpportunityServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Opportunity\Providers\OpportunityServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Opportunity\Providers\OpportunityServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/opportunity/{modulename}

**User**

    http://path-to-route-folder/user/opportunity/{modulename}

**Public**

    http://path-to-route-folder/opportunities


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/opportunity/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/opportunity/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/opportunity/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/opportunity/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/opportunity/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/opportunity/{modulename}/{slug}
    METHOD: GET