<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for offers in opportunity package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  offers module in opportunity package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Offers',
    'names'         => 'Offers',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Offers',
        'sub'   => 'Offers',
        'list'  => 'List of offers',
        'edit'  => 'Edit offers',
        'create'    => 'Create new offers'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Interested','Not Interested','Decide Later','None','Upcoming','Completed','Cancelled'],
            'property_type'       => ['Rental','Sales',''],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'opportunity_id'             => 'Please enter opportunity id',
        'agent_id'                   => 'Please enter agent id',
        'listing_id'                 => 'Please enter listing id',
        'viewing_id'                 => 'Please enter viewing id',
        'title'                      => 'Please enter title',
        'status'                     => 'Please select status',
        'priority'                   => 'Please enter priority',
        'start_date'                 => 'Please select start date',
        'description'                => 'Please enter description',
        'feedbacks'                  => 'Please enter feedbacks',
        'fb_community'               => 'Please enter fb community',
        'fb_location'                => 'Please enter fb location',
        'fb_floor'                   => 'Please enter fb floor',
        'fb_view'                    => 'Please enter fb view',
        'fb_floor_plan_layout'        => 'Please enter fb floor plan layout',
        'fb_area_sq_ft'              => 'Please enter fb area sq ft',
        'fb_quality_condition'        => 'Please enter fb quality condition',
        'fb_price'                   => 'Please enter fb price',
        'fb_amenities_facilities'        => 'Please enter fb amenities facilities',
        'fb_parking'                 => 'Please enter fb parking',
        'fb_ac_type'                 => 'Please enter fb ac type',
        'fb_service_charge'          => 'Please enter fb service charge',
        'fb_furniture_quality_condition'        => 'Please enter fb furniture quality condition',
        'fb_appliances_quality_condition'        => 'Please enter fb appliances quality condition',
        'property_type'              => 'Please select property type',
        'category_id'                => 'Please enter category id',
        'beds'                       => 'Please enter beds',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'property_id'                => 'Please enter property id',
        'price'                      => 'Please enter price',
        'baths'                      => 'Please enter baths',
        'plot'                       => 'Please enter plot',
        'bua'                        => 'Please enter bua',
        'furnished'                  => 'Please enter furnished',
        'view'                       => 'Please enter view',
        'parking'                    => 'Please enter parking',
        'unit'                       => 'Please enter unit',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'opportunity_id'             => 'Opportunity id',
        'agent_id'                   => 'Agent id',
        'listing_id'                 => 'Listing id',
        'viewing_id'                 => 'Viewing id',
        'title'                      => 'Title',
        'status'                     => 'Status',
        'priority'                   => 'Priority',
        'start_date'                 => 'Start date',
        'description'                => 'Description',
        'feedbacks'                  => 'Feedbacks',
        'fb_community'               => 'Fb community',
        'fb_location'                => 'Fb location',
        'fb_floor'                   => 'Fb floor',
        'fb_view'                    => 'Fb view',
        'fb_floor_plan_layout'        => 'Fb floor plan layout',
        'fb_area_sq_ft'              => 'Fb area sq ft',
        'fb_quality_condition'        => 'Fb quality condition',
        'fb_price'                   => 'Fb price',
        'fb_amenities_facilities'        => 'Fb amenities facilities',
        'fb_parking'                 => 'Fb parking',
        'fb_ac_type'                 => 'Fb ac type',
        'fb_service_charge'          => 'Fb service charge',
        'fb_furniture_quality_condition'        => 'Fb furniture quality condition',
        'fb_appliances_quality_condition'        => 'Fb appliances quality condition',
        'property_type'              => 'Property type',
        'category_id'                => 'Category id',
        'beds'                       => 'Beds',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'property_id'                => 'Property id',
        'price'                      => 'Price',
        'baths'                      => 'Baths',
        'plot'                       => 'Plot',
        'bua'                        => 'Bua',
        'furnished'                  => 'Furnished',
        'view'                       => 'View',
        'parking'                    => 'Parking',
        'unit'                       => 'Unit',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'opportunity_id'             => ['name' => 'Opportunity id', 'data-column' => 1, 'checked'],
        'agent_id'                   => ['name' => 'Agent id', 'data-column' => 2, 'checked'],
        'listing_id'                 => ['name' => 'Listing id', 'data-column' => 3, 'checked'],
        'viewing_id'                 => ['name' => 'Viewing id', 'data-column' => 4, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 5, 'checked'],
        'priority'                   => ['name' => 'Priority', 'data-column' => 6, 'checked'],
        'start_date'                 => ['name' => 'Start date', 'data-column' => 7, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 8, 'checked'],
        'feedbacks'                  => ['name' => 'Feedbacks', 'data-column' => 9, 'checked'],
        'fb_community'               => ['name' => 'Fb community', 'data-column' => 10, 'checked'],
        'fb_location'                => ['name' => 'Fb location', 'data-column' => 11, 'checked'],
        'fb_floor'                   => ['name' => 'Fb floor', 'data-column' => 12, 'checked'],
        'fb_view'                    => ['name' => 'Fb view', 'data-column' => 13, 'checked'],
        'fb_floor_plan_layout'        => ['name' => 'Fb floor plan layout', 'data-column' => 14, 'checked'],
        'fb_area_sq_ft'              => ['name' => 'Fb area sq ft', 'data-column' => 15, 'checked'],
        'fb_quality_condition'        => ['name' => 'Fb quality condition', 'data-column' => 16, 'checked'],
        'fb_price'                   => ['name' => 'Fb price', 'data-column' => 17, 'checked'],
        'fb_amenities_facilities'        => ['name' => 'Fb amenities facilities', 'data-column' => 18, 'checked'],
        'fb_parking'                 => ['name' => 'Fb parking', 'data-column' => 19, 'checked'],
        'fb_ac_type'                 => ['name' => 'Fb ac type', 'data-column' => 20, 'checked'],
        'fb_service_charge'          => ['name' => 'Fb service charge', 'data-column' => 21, 'checked'],
        'fb_furniture_quality_condition'        => ['name' => 'Fb furniture quality condition', 'data-column' => 22, 'checked'],
        'fb_appliances_quality_condition'        => ['name' => 'Fb appliances quality condition', 'data-column' => 23, 'checked'],
        'property_type'              => ['name' => 'Property type', 'data-column' => 24, 'checked'],
        'category_id'                => ['name' => 'Category id', 'data-column' => 25, 'checked'],
        'beds'                       => ['name' => 'Beds', 'data-column' => 26, 'checked'],
        'location_id'                => ['name' => 'Location id', 'data-column' => 27, 'checked'],
        'sublocation_id'             => ['name' => 'Sublocation id', 'data-column' => 28, 'checked'],
        'property_id'                => ['name' => 'Property id', 'data-column' => 29, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 30, 'checked'],
        'baths'                      => ['name' => 'Baths', 'data-column' => 31, 'checked'],
        'plot'                       => ['name' => 'Plot', 'data-column' => 32, 'checked'],
        'bua'                        => ['name' => 'Bua', 'data-column' => 33, 'checked'],
        'furnished'                  => ['name' => 'Furnished', 'data-column' => 34, 'checked'],
        'view'                       => ['name' => 'View', 'data-column' => 35, 'checked'],
        'parking'                    => ['name' => 'Parking', 'data-column' => 36, 'checked'],
        'unit'                       => ['name' => 'Unit', 'data-column' => 37, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Offers',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
