<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('opportunity::offers.name') !!} <small> {!! trans('app.manage') !!} {!! trans('opportunity::offers.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('opportunity::offers.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='opportunity-offers-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('opportunity/offers')!!}">{!! trans('opportunity::offers.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('opportunity/offers?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('opportunity/offers?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('opportunity/offers/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('opportunity::admin.offers.partial.actions')
                    -->
                    @include('opportunity::admin.offers.partial.filter')
                    @include('opportunity::admin.offers.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="opportunity-offers-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="opportunity-offers-check-all"></th>
                        <th data-field="opportunity_id">{!! trans('opportunity::offers.label.opportunity_id')!!}</th>
                    <th data-field="agent_id">{!! trans('opportunity::offers.label.agent_id')!!}</th>
                    <th data-field="listing_id">{!! trans('opportunity::offers.label.listing_id')!!}</th>
                    <th data-field="viewing_id">{!! trans('opportunity::offers.label.viewing_id')!!}</th>
                    <th data-field="title">{!! trans('opportunity::offers.label.title')!!}</th>
                    <th data-field="priority">{!! trans('opportunity::offers.label.priority')!!}</th>
                    <th data-field="start_date">{!! trans('opportunity::offers.label.start_date')!!}</th>
                    <th data-field="description">{!! trans('opportunity::offers.label.description')!!}</th>
                    <th data-field="feedbacks">{!! trans('opportunity::offers.label.feedbacks')!!}</th>
                    <th data-field="fb_community">{!! trans('opportunity::offers.label.fb_community')!!}</th>
                    <th data-field="fb_location">{!! trans('opportunity::offers.label.fb_location')!!}</th>
                    <th data-field="fb_floor">{!! trans('opportunity::offers.label.fb_floor')!!}</th>
                    <th data-field="fb_view">{!! trans('opportunity::offers.label.fb_view')!!}</th>
                    <th data-field="fb_floor_plan_layout">{!! trans('opportunity::offers.label.fb_floor_plan_layout')!!}</th>
                    <th data-field="fb_area_sq_ft">{!! trans('opportunity::offers.label.fb_area_sq_ft')!!}</th>
                    <th data-field="fb_quality_condition">{!! trans('opportunity::offers.label.fb_quality_condition')!!}</th>
                    <th data-field="fb_price">{!! trans('opportunity::offers.label.fb_price')!!}</th>
                    <th data-field="fb_amenities_facilities">{!! trans('opportunity::offers.label.fb_amenities_facilities')!!}</th>
                    <th data-field="fb_parking">{!! trans('opportunity::offers.label.fb_parking')!!}</th>
                    <th data-field="fb_ac_type">{!! trans('opportunity::offers.label.fb_ac_type')!!}</th>
                    <th data-field="fb_service_charge">{!! trans('opportunity::offers.label.fb_service_charge')!!}</th>
                    <th data-field="fb_furniture_quality_condition">{!! trans('opportunity::offers.label.fb_furniture_quality_condition')!!}</th>
                    <th data-field="fb_appliances_quality_condition">{!! trans('opportunity::offers.label.fb_appliances_quality_condition')!!}</th>
                    <th data-field="property_type">{!! trans('opportunity::offers.label.property_type')!!}</th>
                    <th data-field="category_id">{!! trans('opportunity::offers.label.category_id')!!}</th>
                    <th data-field="beds">{!! trans('opportunity::offers.label.beds')!!}</th>
                    <th data-field="location_id">{!! trans('opportunity::offers.label.location_id')!!}</th>
                    <th data-field="sublocation_id">{!! trans('opportunity::offers.label.sublocation_id')!!}</th>
                    <th data-field="property_id">{!! trans('opportunity::offers.label.property_id')!!}</th>
                    <th data-field="price">{!! trans('opportunity::offers.label.price')!!}</th>
                    <th data-field="baths">{!! trans('opportunity::offers.label.baths')!!}</th>
                    <th data-field="plot">{!! trans('opportunity::offers.label.plot')!!}</th>
                    <th data-field="bua">{!! trans('opportunity::offers.label.bua')!!}</th>
                    <th data-field="furnished">{!! trans('opportunity::offers.label.furnished')!!}</th>
                    <th data-field="view">{!! trans('opportunity::offers.label.view')!!}</th>
                    <th data-field="parking">{!! trans('opportunity::offers.label.parking')!!}</th>
                    <th data-field="unit">{!! trans('opportunity::offers.label.unit')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#opportunity-offers-entry', '{!!guard_url('opportunity/offers/0')!!}');
    oTable = $('#opportunity-offers-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('opportunity/offers') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'opportunity_id'},
            {data :'agent_id'},
            {data :'listing_id'},
            {data :'viewing_id'},
            {data :'title'},
            {data :'priority'},
            {data :'start_date'},
            {data :'description'},
            {data :'feedbacks'},
            {data :'fb_community'},
            {data :'fb_location'},
            {data :'fb_floor'},
            {data :'fb_view'},
            {data :'fb_floor_plan_layout'},
            {data :'fb_area_sq_ft'},
            {data :'fb_quality_condition'},
            {data :'fb_price'},
            {data :'fb_amenities_facilities'},
            {data :'fb_parking'},
            {data :'fb_ac_type'},
            {data :'fb_service_charge'},
            {data :'fb_furniture_quality_condition'},
            {data :'fb_appliances_quality_condition'},
            {data :'property_type'},
            {data :'category_id'},
            {data :'beds'},
            {data :'location_id'},
            {data :'sublocation_id'},
            {data :'property_id'},
            {data :'price'},
            {data :'baths'},
            {data :'plot'},
            {data :'bua'},
            {data :'furnished'},
            {data :'view'},
            {data :'parking'},
            {data :'unit'},
        ],
        "pageLength": 25
    });

    $('#opportunity-offers-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#opportunity-offers-list').DataTable().row( this ).data();
        $('#opportunity-offers-entry').load('{!!guard_url('opportunity/offers')!!}' + '/' + d.id);
    });

    $('#opportunity-offers-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#opportunity-offers-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#opportunity-offers-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#opportunity-offers-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>