<?php

namespace Bixo\Opportunity\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Opportunities policy
        'Bixo\Opportunity\Models\Opportunities' => \Bixo\Opportunity\Policies\OpportunitiesPolicy::class,// Bind Offers policy
        'Bixo\Opportunity\Models\Offers' => \Bixo\Opportunity\Policies\OffersPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
