<?php

namespace Bixo\Opportunity\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OffersTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Opportunity\Models\Offers $offers)
    {
        return [
            'id'                => $offers->getRouteKey(),
            'key'               => [
                'public'    => $offers->getPublicKey(),
                'route'     => $offers->getRouteKey(),
            ], 
            'opportunity_id'    => $offers->opportunity_id,
            'agent_id'          => $offers->agent_id,
            'listing_id'        => $offers->listing_id,
            'viewing_id'        => $offers->viewing_id,
            'title'             => $offers->title,
            'priority'          => $offers->priority,
            'start_date'        => $offers->start_date,
            'description'       => $offers->description,
            'feedbacks'         => $offers->feedbacks,
            'fb_community'      => $offers->fb_community,
            'fb_location'       => $offers->fb_location,
            'fb_floor'          => $offers->fb_floor,
            'fb_view'           => $offers->fb_view,
            'fb_floor_plan_layout' => $offers->fb_floor_plan_layout,
            'fb_area_sq_ft'     => $offers->fb_area_sq_ft,
            'fb_quality_condition' => $offers->fb_quality_condition,
            'fb_price'          => $offers->fb_price,
            'fb_amenities_facilities' => $offers->fb_amenities_facilities,
            'fb_parking'        => $offers->fb_parking,
            'fb_ac_type'        => $offers->fb_ac_type,
            'fb_service_charge' => $offers->fb_service_charge,
            'fb_furniture_quality_condition' => $offers->fb_furniture_quality_condition,
            'fb_appliances_quality_condition' => $offers->fb_appliances_quality_condition,
            'property_type'     => $offers->property_type,
            'category_id'       => $offers->category_id,
            'beds'              => $offers->beds,
            'location_id'       => $offers->location_id,
            'sublocation_id'    => $offers->sublocation_id,
            'property_id'       => $offers->property_id,
            'price'             => $offers->price,
            'baths'             => $offers->baths,
            'plot'              => $offers->plot,
            'bua'               => $offers->bua,
            'furnished'         => $offers->furnished,
            'view'              => $offers->view,
            'parking'           => $offers->parking,
            'unit'              => $offers->unit,
            'deleted_at'        => $offers->deleted_at,
            'user_id'           => $offers->user_id,
            'user_type'         => $offers->user_type,
            'url'               => [
                'public'    => trans_url('opportunity/'.$offers->getPublicKey()),
                'user'      => guard_url('opportunity/offers/'.$offers->getRouteKey()),
            ], 
            'status'            => trans('app.'.$offers->status),
            'created_at'        => format_date($offers->created_at),
            'updated_at'        => format_date($offers->updated_at),
        ];
    }
}