<?php

namespace Bixo\Opportunity\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OpportunitiesTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Opportunity\Models\Opportunities $opportunities)
    {
        return [
            'id'                => $opportunities->getRouteKey(),
            'key'               => [
                'public'    => $opportunities->getPublicKey(),
                'route'     => $opportunities->getRouteKey(),
            ], 
            'title'             => $opportunities->title,
            'first_name'        => $opportunities->first_name,
            'last_name'         => $opportunities->last_name,
            'email'             => $opportunities->email,
            'phone'             => $opportunities->phone,
            'account_name'      => $opportunities->account_name,
            'website'           => $opportunities->website,
            'address_line1'     => $opportunities->address_line1,
            'address_line2'     => $opportunities->address_line2,
            'city'              => $opportunities->city,
            'state'             => $opportunities->state,
            'country'           => $opportunities->country,
            'zipcode'           => $opportunities->zipcode,
            'opportunity_title' => $opportunities->opportunity_title,
            'finance'           => $opportunities->finance,
            'industry'          => $opportunities->industry,
            'hot_opportunity'   => $opportunities->hot_opportunity,
            'priority'          => $opportunities->priority,
            'source'            => $opportunities->source,
            'agent1'            => $opportunities->agent1,
            'lead_amount'       => $opportunities->lead_amount,
            'campaign'          => $opportunities->campaign,
            'created_by'        => $opportunities->created_by,
            'description'       => $opportunities->description,
            'property_requirements' => $opportunities->property_requirements,
            'deleted_at'        => $opportunities->deleted_at,
            'url'               => [
                'public'    => trans_url('opportunity/'.$opportunities->getPublicKey()),
                'user'      => guard_url('opportunity/opportunities/'.$opportunities->getRouteKey()),
            ], 
            'status'            => trans('app.'.$opportunities->status),
            'created_at'        => format_date($opportunities->created_at),
            'updated_at'        => format_date($opportunities->updated_at),
        ];
    }
}